Index: CONFIG/LMDZOR/branches/LMDZOR_uni/AA_make
===================================================================
--- CONFIG/LMDZOR/branches/LMDZOR_uni/AA_make	(revision 1666)
+++ CONFIG/LMDZOR/branches/LMDZOR_uni/AA_make	(revision 1668)
@@ -1,69 +1,45 @@
 #- $Id$
 #-
-#- AA_make for IPSLCM5_v4 configuration
+#- AA_make for LMDZOR_uni configuration
 #- 
 
-PRISM_DIR = ../../prism
-OASIS3_DIR = $(PRISM_DIR)/src/mod/oasis3
+all : 
+	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) LMD9695-L39 ; fi
 
-all : 
-#-Q- eshpux	if [ ! -f $(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) ] ; then \
-#-Q- eshpux        cp -f $(PRISM_DIR)/util/compile/frames/include_$(PRISM_NAME)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME)  $(OASIS3_DIR)/.; \
-#-Q- eshpux        cp -f $(PRISM_DIR)/util/compile/frames/include_$(PRISM_NAME)/COMP_libs.$(PRISM_NAME)  $(PRISM_DIR)/util/. ; fi
-	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) ORCA2xLMD9695-L39 ; fi
+LMD4443 : libioipsl liborchidee lmdz44x43x19 verif	
+	echo "noORCAxLMD4443" >.resol
+	echo "RESOL_ATM_3D=44x43x19" >>.resol
 
-ORCA2xLMD4443 : libioipsl oasis3 liborchidee orca2 lmdz44x43x19 verif	
-	echo "ORCA2xLMD4443" >.resol
-	echo "RESOL_ATM_3D=44x43x19" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
+LMD5655 : libioipsl liborchidee lmdz56x55x19 verif	
+	echo "noORCAxLMD5655" >.resol
+	echo "RESOL_ATM_3D=56x55x19" >>.resol
 
-ORCA2xLMD5655 : libioipsl oasis3 liborchidee orca2 lmdz56x55x19 verif	
-	echo "ORCA2xLMD5655" >.resol
-	echo "RESOL_ATM_3D=56x55x19" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
+LMD9671 : libioipsl liborchidee lmdz96x71x19 verif	
+	echo "noORCAxLMD9671" >.resol
+	echo "RESOL_ATM_3D=96x71x19" >>.resol
 
-ORCA2xLMD9671 : libioipsl oasis3 liborchidee orca2 lmdz96x71x19 verif	
-	echo "ORCA2xLMD9671" >.resol
-	echo "RESOL_ATM_3D=96x71x19" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
+LMD9695 : libioipsl liborchidee lmdz96x95x19 verif
+	echo "noORCAxLMD9695" >.resol
+	echo "RESOL_ATM_3D=96x95x19" >>.resol
 
-ORCA2xLMD9695 : libioipsl oasis3 liborchidee orca2 lmdz96x95x19 verif
-	echo "ORCA2xLMD9695" >.resol
-	echo "RESOL_ATM_3D=96x95x19" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
+LMD9695-L39 : libioipsl liborchidee lmdz96x95x39 verif
+	echo "noORCAxLMD9695-L39" >.resol
+	echo "RESOL_ATM_3D=96x95x39" >>.resol
 
-ORCA2xLMD9695-L39 : libioipsl oasis3 liborchidee orca2 lmdz96x95x39 verif
-	echo "ORCA2xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
+LMD144142 : libioipsl liborchidee lmdz144x142x19 verif
+	echo "noORCAxLMD144142" >.resol
+	echo "RESOL_ATM_3D=144x142x19" >>.resol
 
-ORCA2xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee orca2nopisces lmdz96x95x39 verif
-	echo "ORCA2xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "NOPISCES" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
+LMD144142-L39 : libioipsl liborchidee lmdz144x142x39 verif
+	echo "noORCAxLMD144142-L39" >.resol
+	echo "RESOL_ATM_3D=144x142x39" >>.resol
 
-ORCA2xLMD144142 : libioipsl oasis3 liborchidee orca2 lmdz144x142x19 verif
-	echo "ORCA2xLMD144142" >.resol
-	echo "RESOL_ATM_3D=144x142x19" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2xLMD144142-L39 : libioipsl oasis3 liborchidee orca2 lmdz144x142x39 verif
-	echo "ORCA2xLMD144142-L39" >.resol
-	echo "RESOL_ATM_3D=144x142x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
 
 libioipsl : ../../modeles/IOIPSL/src
 	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
 
-oasis3: $(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) $(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME)
-	(cd $(OASIS3_DIR) ; ./COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) ; )
-
-$(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) : $(PRISM_DIR)
-	(cd $(PRISM_DIR) ; ./util/compile/frames/Create_COMP_libs.frm  "" "" "${PRISM_NAME}" "${LIB_MPI_BIS}" ; ./util/compile/frames/Create_COMP_models.frm oasis3 "${LIB_MPI_BIS}" "" "" "${PRISM_NAME}" "" "" ; )
 
 liborchidee : ../../modeles/ORCHIDEE/
 	(cd ../../modeles/ORCHIDEE/ ; $(M_K) -f Makefile)
-#-Q- platine	(rm -f ../../lib/parallel.mod)
 
 lmdz44x43x19:
@@ -89,12 +65,7 @@
 
 lmdz: ../../modeles/LMDZ
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -c $(LIB_MPI) -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_para_orch_couple.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -c $(LIB_MPI) -arch $(FCM_ARCH) gcm ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -arch $(FCM_ARCH) ce0l ; cp bin/ce0l_$(RESOL_LMDZ)_phylmd_para_orch.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -arch $(FCM_ARCH) gcm ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_orch.e ../../bin/gcm.e ; )
 
-orca2: ../../modeles/NEMO/WORK
-	(cd ../../modeles/NEMO/WORK; $(M_K) FCM=use USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtachl key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_mpp_mpi key_iomput key_diaar5 key_top key_pisces key_trcbbl_dif key_trcldf_eiv key_trc_zdfddm key_trc_diaadd key_trc_dia3d key_dtatrc ' ; )
-
-orca2nopisces: ../../modeles/NEMO/WORK
-	(cd ../../modeles/NEMO/WORK; $(M_K) FCM=use USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtachl key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_mpp_mpi key_iomput key_diaar5 ' ; )
 
 verif: ../../bin
@@ -102,4 +73,4 @@
 
 clean :
-	(rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; rm -rf $(PRISM_DIR)/$(PRISM_ARCH) ; rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/.lock ; )
+	(rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/.lock ; )
 
